import request from "@/utils/request";
import {BASE, AUTH} from "@/api/apiGateway"

export function create(data){
    return request({
        url: `${BASE}/patient/lifeCare/create`,
        method: 'post',
        data
    })
}

export function findItemDict(){
    return request({
        url: `${BASE}/patient/lifeCare/findItemDict`,
        method: 'get'
    })
}

export function findSignOrg(params){
    return request({
        url: `${BASE}/sign/findSignOrg`,
        method: 'get',
        params
    })
}

export function getByOrderId(params){
    return request({
        url: `${BASE}/patient/lifeCare/getByOrderId`,
        method: 'get',
        params
    })
}

export function infoList(params){
    return request({
        url: `${BASE}/patient/lifeCare/infoList`,
        method: 'get',
        params
    })
}

export function cancelOrder(data){
    return request({
        url: `${BASE}/patient/lifeCare/cancelOrder`,
        method: 'post',
        data
    })
}

export function queryInfoStatusCountList(params){
    return request({
        url: `${BASE}/patient/lifeCare/queryInfoStatusCountList`,
        method: 'get',
        params
    })
}

export function infoCount(params){
  return request({
      url: `${BASE}/patient/lifeCare/infoCount`,
      method: 'get',
      params
  })
}
//保存不再显示操作提示
export function saveByPatient(params){
  return request({
      url: `${BASE}/bookingService/saveByPatient`,
      method: 'get',
      params
  })
}
//查询操作提示
export function findByPatient(params){
  return request({
      url: `${BASE}/bookingService/findByPatient`,
      method: 'get',
      params
  })
}

